WLAN LED blinks incessantly on iwl3945 | iwl4965 laptop

Bug #250211 reported by Mario Vukelic on 2008-07-20
552
This bug affects 95 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Andy Whitcroft
Declined for Intrepid by Brad Figg
Declined for Jaunty by Brad Figg
Declined for Karmic by Brad Figg
Declined for Maverick by Brad Figg
Lucid
Undecided
Unassigned

Bug Description

Since upgrading to Intrepid, the WLAN LED of my HP nc6000 blinks all the time instead of simply being on.

Bug #176090, which is about the LED not working at all in Hardy, seems to suggest that the blinking might be intentional, "Note, however, that[the fix for Hardy] does not behave the same way as it used to. The light will not blink on and off, but will be steady."

However, the blinking is (a) highly distracting and annoying for no gain whatsoever, and (b) it does not blink in Windows, either.

Mario Vukelic (mario-vukelic) wrote :

Oh, I forgot: and it never blinked for me before with Ubuntu either. I think I have this laptop since Feisty or Gutsy.

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Mario Vukelic (mario-vukelic) wrote :

Same behavior with 2.6.27.

Mario Vukelic (mario-vukelic) wrote :

Oh, and I made a typo in the original report: the model should have been " HP nc6400".

Marcos Hack (marcoshack) wrote :
Download full text (3.4 KiB)

I installed the following packages in Ubuntu 8.04.1 running on a HP Pavilion dv6000 (dv6626us) and the wireless network connection stopped to work completely:

    linux-backports-modules-intrepid-generic_2.6.27.1.1_i386.deb
    linux-image-2.6.27-1-generic_2.6.27-1.2_i386.deb
    linux-restricted-modules-2.6.27-1-generic_2.6.27-1.1_i386.deb

Do I need to install any other package to test kernel 2.6.27?

From /var/log/syslog

    [ 14.413006] iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network Connection driver for Linux, 1.2.26ks
    [ 14.413006] iwl3945: Copyright(c) 2003-2008 Intel Corporation
    [ 14.413006] iwl3945 0000:02:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
    [ 14.413006] iwl3945 0000:02:00.0: setting latency timer to 64
    [ 14.413006] iwl3945: Detected Intel Wireless WiFi Link 3945ABG
    ...
    [ 14.805007] iwl3945: Tunable channels: 11 802.11bg, 13 802.11a channels
    ...
    [ 15.501056] iwl3945 0000:02:00.0: PCI INT A disabled
    ...
    [ 30.119880] iwl3945 0000:02:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
    [ 30.119880] iwl3945 0000:02:00.0: restoring config space at offset 0x1 (was 0x100102, writing 0x100106)
    [ 30.119880] firmware: requesting iwlwifi-3945-1.ucode
    [ 30.129792] iwl3945: iwlwifi-3945-1.ucode firmware file req failed: Reason -2
    [ 30.129792] iwl3945: Could not read microcode: -2
    [ 30.129792] iwl3945 0000:02:00.0: PCI INT A disabled
    firmware_helper[5992]: main: error loading '/lib/firmware/iwlwifi-3945-1.ucode' for device '/class/firmware/0000:02:00.0' with driver 'iwl3945'
    NetworkManager: <info> wlan0: Device is fully-supported using driver 'iwl3945'.
    NetworkManager: <info> wlan0: driver supports SSID scans (scan_capa 0x01).
    NetworkManager: <info> nm_device_init(): waiting for device's worker thread to start
    NetworkManager: <info> nm_device_init(): device's worker thread started, continuing.
    NetworkManager: <info> Now managing wireless (802.11) device 'wlan0'.
    NetworkManager: <info> Deactivating device wlan0.
    ...
    [ 32.773330] iwl3945 0000:02:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
    [ 32.773330] iwl3945 0000:02:00.0: restoring config space at offset 0x1 (was 0x100102, writing 0x100106)
    [ 32.773330] firmware: requesting iwlwifi-3945-1.ucode
    firmware_helper[6150]: main: error loading '/lib/firmware/iwlwifi-3945-1.ucode' for device '/class/firmware/0000:02:00.0' with driver 'iwl3945'
    [ 32.773576] iwl3945: iwlwifi-3945-1.ucode firmware file req failed: Reason -2
    [ 32.773576] iwl3945: Could not read microcode: -2
    [ 32.773576] iwl3945 0000:02:00.0: PCI INT A disabled
    ....

    NetworkManager: <WARN> nm_device_802_11_wireless_scan(): (wlan0): could not trigger wireless scan: Network is down
    kernel: [ 49.813013] iwl3945 0000:02:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
    firmware_helper[6381]: main: error loading '/lib/firmware/iwlwifi-3945-1.ucode' for device '/class/firmware/0000:02:00.0' with driver 'iwl3945'
    kernel: [ 49.813013] iwl3945 0000:02:00.0: restoring config space at offset 0x1 (was 0x100102, writing 0x100106)
    kernel: [ 49....

Read more...

Marcos Hack (marcoshack) wrote :

Well, I think I figured out what was missing: /lib/firmware/2.6.27-1-generic/iwlwifi-3945* files

But there is no linux-ubuntu-modules-2.6.27-1-generic package available yet and I just copy the files manually.

Now the wireless is working and blinking all time when there is an active wireless connection as reported by Mario.

Mario Vukelic (mario-vukelic) wrote :

Marcos, I did not have this problem, my wireless worked automatically with 2.6.27. Maybe you are missing some metapackage?

Anyway, I'd like to make another correction, in case that's somehow important: the light does not blink "all the time", as I wrote. Instead, it alternates between blinking and steady states. Often it's steady for a minute, possibly more. At other times it's blinking a lot. I can see no obvious rhythm or correlation with anything, though.

Marcos Hack (marcoshack) wrote :

Hi Mario. Are the firmware files distributed in the linux-ubuntu-modules* package, right? I searched on packages.ubuntu.com but couldn't found it for version 2.6.27-1-generic.

Patryk Bajer (bayger) wrote :

Hi,

I have exactly the same behavior with laptop Dell D620 with Intel 3945. Blinking and blinking. Annoying :(

uname -a:
Linux viper 2.6.27-2-generic #1 SMP Thu Aug 28 17:20:02 UTC 2008 i686 GNU/Linux

lspci:
00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 01)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 (rev 01)
00:1c.2 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3 (rev 01)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 01)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e1)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 01)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 01)
03:01.0 CardBus bridge: O2 Micro, Inc. OZ601/6912/711E0 CardBus/SmartCardBus Controller (rev 40)
09:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5752 Gigabit Ethernet PCI Express (rev 02)
0c:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network Connection (rev 02)

Let me know if you need additional info about my system.

Cheers,
Patryk

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Low
status: New → Triaged
Michael Doube (michael-doube) wrote :

I see the blinking on Intrepid. It seems to have a funny pattern, like

if traffic
              for (n=0; n<5; n++)
                       led on for 250 ms;
                       led off for 250 ms;

As opposed to just blinking in direct correlation to traffic, like the led on the back of an ethernet adapater.

if packet
            blink for 10 ms

try
]$ ping google.com

and you will see what I mean.

So I agree, the blinking serves little informative purpose (it does not relate very well to actual traffic) and that makes it annoying. For me, either a solid led or blinking on actual traffic would be preferable.

I'd like to note (as said in duplicate Bug #252150) that blinking on traffic is bad behavior in terms of usability.

A blinking LED (or GUI element, ...) is hard to ignore, and will in most humans gain focus constantly, and annoy them.
Both "having traffic" as well as "being connected" are standard cases for a network interface, so in those standard cases there is no need for the interface to request focus by blinking the LED.

On the other hand, the LED can be allowed to blink (not rapidly) when there is no connection, which is usually an unwanted case.

The comparison to ethernet adapter LEDs can be considered - however, those are usually out of sight of the operating user, while WLAN LEDs are usually in sight.

Jeffrey Baker (jwbaker) wrote :

This is super unbelievably obnoxious! On my ThinkPad the light is right in my face and now in Intrepid it blinks all the time.

Is there a module parameter that undoes this? If Intrepid ships this way, people are going to go crazy.

Paweł Kłeczek (pkleczek) wrote :

I'm testing Intrepid Beta (HP Compaq nx7300 RU374ES) right now and I've got the same problem. The easiest workaround is to run following command:
echo 0 > /sys/bus/pci/drivers/iwl3945/0000\:10\:00.0/leds\:iwl-phy0\:radio/brightness
to turn the led off or
echo 255 > /sys/bus/pci/drivers/iwl3945/0000\:10\:00.0/leds\:iwl-phy0\:radio/brightness
to turn the led on
The path after iwl3945/ may be different.

Nick A (nickalleyne) wrote :

I have a dell D630 and the same thing happens after upgrading to Intrepid.

I have to say that I like the Hardy way of having it completely off after seeing this.

Jeremy Nickurak (nickurak) wrote :

I think what bugs me about this one is how periodic the blinking is. It's really begging for attention.

What if it was on when wireless was enabled, but just flickered a little bit on traffic? I'm thinking similar to what the LED on a network switch does: On means connected, but it flicks off almost imperceptibly when traffic is running.

gastlygem (gastlygem) wrote :

Same here. I upgreated to Intrepid today and instantly see this abnormal behavior.

jo@hctr:~$ uname -a
Linux hctr 2.6.27-4-generic #1 SMP Wed Sep 24 01:30:51 UTC 2008 i686 GNU/Linux

jo@hctr:~$ lspci
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:01.0 PCI bridge: Intel Corporation Mobile PM965/GM965/GL960 PCI Express Root Port (rev 0c)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 3 (rev 03)
00:1c.3 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 4 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)
01:00.0 VGA compatible controller: nVidia Corporation GeForce 8400M GS (rev a1)
05:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8039 PCI-E Fast Ethernet Controller (rev 14)
07:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network Connection (rev 02)
08:09.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)
08:09.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 22)
08:09.2 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 12)
08:09.3 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev 12)

Aaron (aagbsn) wrote :

I have a lenovo x200 with intel 5100 wireless, and also have this bug. Network traffic makes the light flash (it stops flashing without traffic, so it isn't continous). I agree it is very annoying.

Benjamin Prosnitz (aetherane) wrote :

For whatever reason, with some update the light started functioning normally for me.

twinned (chefen) wrote :

Same problem here, on HP6910P. Intel's wifi.
Very very annoying.

Mike Stroyan (stroyan) wrote :

I had a look at the new Tx/Rx blinking and made changes to make it less annoying for me as seen with
the big bright LED on my HP dv5000. The really distracting part is the slow blinking with long periods
of off and on. I changed the driver to have uniformly short off_time values of 10 in the blink_tbl array.
That gives a little flicker when there is network activity without a really distracting effect. The off times
could be set even lower to make the blinking barely discernable.

I have attached a patch that implements the change. If other folks think that is more like they want
I could try pushing this upstream.

Sebastian Breier (tomcat42) wrote :

Mike: I wanted to try out your patch, but I couldn't compile the driver.

It's a bit off-topic, but what am I doing wrong?
I retrieved the kernel source (https://wiki.ubuntu.com/KernelGitGuide), installed the build utilities, did "make net/drivers/wireless/iwlwifi/iwl3945.ko", copied the drivers to /lib/modules/2.6.27-6-generic/kernel/drivers/net/wireless/iwlwifi, but it says:
"FATAL: Error inserting iwl3945 (/lib/modules/2.6.27-6-generic/kernel/drivers/net/wireless/iwlwifi/iwl3945.ko): Invalid module format"

(This is an unpatched kernel, I wanted to try building the driver first)

Sebastian Breier (tomcat42) wrote :

Oi, I forgot: I copied /boot/config-2.6.27-6-generic to the kernel's .config, to have a kernel similar to mine.

Ashley George (spam-george) wrote :

In addition to making the blinking "less obnoxious" (what a goal), it would be nice to be able to turn it off entirely.

Jonne (jonathan-vanherpe) wrote :

I agree with others that the blinking is annoying, especially on the HP dv5000 which has a really bright wifi led. Either turn it off completely or turn it on, don't let it blink.

Volker Hoffmann (vhoffmann) wrote :

The following works for me as a temporary workaround (Dell XPS M1330 w/ iwl3945):

http://blog.drinsama.de/erich/en/linux/2008052101-iwlwifi-blinking.html

Sebastian Breier (tomcat42) wrote :

The workaround is alright, but it disables the LED. I want it to actually show a state, just not by blinking. :D

This happens on my Hardy-running Dell Inspiron 1525 (iwl3945) too. And yes, I'm now using the workaround, because steady is so much better from a user experience point of view - I don't need my attention drawn to something that works - that's like the Windows 'wow, plug and play has worked, let me tell you about every little step I take' popup when you connect a USB stick.

Timrit (wimurtz) wrote :

This is happening on my HP DV2915nr laptop since upgrading to Intrepid Ibex. The l.e.d. is dual color (orange & blue) and is alternating between them when traffic is passing across it. It is solid blue when there is no traffic and orange when the switch for the wireless is turned off or the wireless has not come up yet from boot/sleep. It was solid orange all the time in Hardy and under Vista it was orange when not active and blue when it was linked up to the W.A.P. This is very annoying as others have pointed out.

~$ uname -a
Linux -laptop 2.6.27-7-generic #1 SMP Fri Oct 17 22:24:21 UTC 2008 i686 GNU/Linux

lspci:
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 3 (rev 03)
00:1c.3 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 4 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)
05:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8039 PCI-E Fast Ethernet Controller (rev 14)
07:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)
08:09.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)
08:09.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 22)
08:09.2 System peripheral: Ricoh Co Ltd R5C843 MMC Host Controller (rev 12)
08:09.3 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 12)
08:09.4 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev ff)

Please let me know if there is more information you need to fix this bug. Thank you very much.

Robert Persson (ireneshusband) wrote :

I have the same problem with a Thinkpad R61i. As a workaround I have stuck a folded scrap of paper over the light with a bit of sticky tape.

Thierry Carrez (ttx) wrote :

I think the best approach is to reduce the long off/on cycles that are grabbing attention, to replace it by a steady "on" LED with an "off" flicker on traffic (what the wired network LED does).
That's the spirit of Mike Stroyan's patch, above at comment 20.

Those who don't want this "feature" should be able to disable it completely by following advice on comment 25.

Mario Vukelic (mario-vukelic) wrote :

That might help, but really, it is nevertheless horrible UI design. The computer should tell me if something is wrong, not alert me all the time (not even with a less intrusive flicker) that everything is fine.

Volker Hoffmann (vhoffmann) wrote :

The functionality to use the LED is a brilliant thing; yet I agree that the default usage is not optimal.

Judging from `cat /sys/class/leds/iwl-phy0:{RX,TX}/trigger`:

> [none] ide-disk BAT0-charging-or-full BAT0-charging BAT0-full AC-online mmc0 phy0rx phy0tx phy0assoc phy0radio rfkill0,

the LEDs can be used for quite a few things.

I suggest using the "none" behaviour as default (this could easily be set as a releases wide standard) by making use of the interfaces in

/sys/class/leds/iwl-phy0:RX/trigger

and

/sys/class/leds/iwl-phy0:TX/trigger

as described in

http://blog.drinsama.de/erich/en/linux/2008052101-iwlwifi-blinking.html

earlier.

Thierry Carrez's analogy with the wired network light is false, as that light is almost always hidden away around the back of a machine.
Wireless lights almost never are, however, and any thing flashing in the eye line is going to draw attention. As such, it should only blink if something unusual has happened. 'Getting some data' isn't unusual, as Mario Vukelic says.

Shane Goulden (shane-matrixau) wrote :

Same problem here on my Dell XPS M1330. Quite annoying.

chidalgo (chidalgo-gmail) wrote :

good idea the LED support; terrible idea the actual behavior.

clearly the driver's development has any HCI knowledge

same problem here, Intrepid Ibex, Dell XPS M1210

Onaka (brollejunior) wrote :

I have the same problem with Dell Inspiron 6400 (Same as Dell Inspiron E1505) using a broadcom 3945ABG wireless card. It worked so perfectly in hardy ;-(

My lspci info:

onaka@roland-laptop:/proc$ lspci
00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express PCI Express Root Port (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 01)
00:1c.3 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 4 (rev 01)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 01)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e1)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 01)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 01)
01:00.0 VGA compatible controller: ATI Technologies Inc M52 [Mobility Radeon X1300]
03:00.0 Ethernet controller: Broadcom Corporation BCM4401-B0 100Base-TX (rev 02)
03:01.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller
03:01.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 19)
03:01.2 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 0a)
03:01.3 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev 05)
0b:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)

Same situation with a Dell Inspiron E1505, all-stock.

When the wifi connection to my router is disrupted/not yet connected, the light actually stays on and steady.... but once it connects to my LAN, the (very steady) blinking begins. Was never an issue until after upgrade to 8.10.

uname -a:

Linux xyzzy 2.6.27-7-generic #1 SMP Thu Oct 30 04:18:38 UTC 2008 i686 GNU/Linux

lspci:

00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 01)
00:1c.3 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 4 (rev 01)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 01)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e1)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 01)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 01)
03:00.0 Ethernet controller: Broadcom Corporation BCM4401-B0 100Base-TX (rev 02)
03:01.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller
03:01.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 19)
03:01.2 System peripheral: Ricoh Co Ltd R5C843 MMC Host Controller (rev 0a)
03:01.3 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 05)
03:01.4 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev ff)
0b:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)

Download full text (3.8 KiB)

Same issue with LED for my inspiron 1525, but I am also having an issue whereby shutdown hangs - apparently in relation to the 3945 card. The shutdown continues if I turn off the wifi switch.

kern.log:

Nov 1 23:31:55 rincewind kernel: [ 3469.245405] iwl3945: Radio Frequency Kill Switch is On:
Nov 1 23:31:55 rincewind kernel: [ 3469.245411] Kill switch must be turned off for wireless networking to work.
Nov 1 23:31:59 rincewind kernel: [ 3473.860178] wlan0: No ProbeResp from current AP 00:18:4d:df:f8:08 - assume out of range
Nov 1 23:31:59 rincewind kernel: [ 3473.885188] iwl3945: Error sending REPLY_LEDS_CMD: iwl3945_enqueue_hcmd failed: -5
Nov 1 23:32:00 rincewind kernel: [ 3474.490106] iwl3945: WARNING: Requesting MAC access during RFKILL wakes up NIC
Nov 1 23:32:00 rincewind kernel: [ 3474.493213] iwl3945: MAC is in deep sleep!
Nov 1 23:32:00 rincewind kernel: [ 3474.540005] iwl3945: WARNING: Requesting MAC access during RFKILL wakes up NIC
Nov 1 23:32:00 rincewind kernel: [ 3474.543981] iwl3945: MAC is in deep sleep!
Nov 1 23:32:00 rincewind kernel: [ 3474.599863] iwl3945: WARNING: Requesting MAC access during RFKILL wakes up NIC
Nov 1 23:32:00 rincewind kernel: [ 3474.603852] iwl3945: MAC is in deep sleep!
Nov 1 23:32:00 rincewind kernel: [ 3474.763629] iwl3945: WARNING: Requesting MAC access during RFKILL wakes up NIC
Nov 1 23:32:00 rincewind kernel: [ 3474.780171] iwl3945 0000:0b:00.0: PCI INT A disabled

uname -a:

Linux rincewind 2.6.27-7-generic #1 SMP Thu Oct 30 04:12:22 UTC 2008 x86_64 GNU/Linux

lspci:

00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 02)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 02)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 02)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 02)
00:1c.4 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 5 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f2)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 02)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH...

Read more...

Gabriel Bauman (gabrielbauman) wrote :

Please keep comments relevant to the blinking LED "issue". If you are having other problems, open a new bug.

If you're posting logs or command output, please ATTACH them as text files rather than pasting them into the comment box.

Attention future posters: the blinking LED issue is not a bug per se, it is an annoying 'feature' of the latest kernels. There is no need to post comments "confirming" the issue.

If you want to register your annoyance, click the "(change)" link next to "This bug does not affect me" at the top of the page. This lets us know that the issue needs to be dealt with.

Thanks. Our Inboxes appreciate your cooperation.

I am having the same problem with my dell inspiron 6400 the led keeps on blinking and is a great nuisance since in laptops its right below the screen. Please upgrade importance since it drives you crazy if you are working on the laptop. The

echo 0 > /sys/bus/pci/drivers/iwl3945//0000\:0b\:00.0/leds//iwl-phy0\:radio/brightness

workaround works but there is a problem sometimes returns randomly and i have to run the command again. After facing bug 288401 and now this on a single machine i am tired.

Brad Figg (brad-figg) on 2009-04-28
Changed in linux (Ubuntu):
assignee: nobody → brad-figg
56 comments hidden view all 136 comments
Jahmon (jahmonspam-forum) wrote :

On my HP dv5285ea with wireless chip: Intel(R) PRO/Wireless 3945ABG/BG and using ubuntu 9.04, I have this issue.

Since the wireless Led indicator is right below the screen it is very disturbing that this led is blinking at each wireless activity.

I'm looking forward for a fix.

Jacopo Moronato (jmoronat) wrote :

Linux JauntyBox 2.6.30-020630-generic #020630 SMP Wed Jun 10 09:45:40 UTC 2009 i686 GNU/Linux

02:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)

echo none > /sys/class/leds/iwl-phy0\:assoc/trigger
fixes it.

Martin Albisetti (beuno) wrote :

Thank you for bringing this bug to our attention. Unfortunately a paper cut should be a small usability issue that affects many people and is quick and easy to fix. I'm afraid this bug can't be addressed as part of this project.
A paper cut is a minor usability annoyance that an average user would encounter on his/her first day of using a new installation of Ubuntu 9.10.

Changed in hundredpapercuts:
status: New → Invalid

I can't agree with you Martin. This is small issue (if it was larger it would have been fixed by now) it effects many people (the driver is in use by many laptop users for instance) and the fix is quick and easy (one line of shell script).
The average user of this driver does encounter this on their first day of use, because they have a giant flashing light going off in their face all the time.

Changed in hundredpapercuts:
status: Invalid → New
Vish (vish) wrote :

@Tom Chiverton:
Hardware specific issues are not papercuts.
For further info about papercuts criteria , pls read > https://wiki.ubuntu.com/PaperCut

Simply re-validating the bug in papercuts is in no way going to make this bug a part of the papercuts project. Kindly understand the objectives of the papercuts project.

Don't worry though, This bug has been marked as "invalid" ONLY in the papercuts project.

Changed in hundredpapercuts:
status: New → Invalid

On Sat, Jul 4, 2009 at 10:45, mac_v<email address hidden> wrote:
> @Tom Chiverton:
> Hardware specific issues are not papercuts.
> For further info about papercuts criteria , pls read > https://wiki.ubuntu.com/PaperCut

That page says:
----
If you prefer a more detailed, itemized definition, a paper cut is:

    * A bug, or an unintended problem occurring within an existing
piece of software,
    * the presence of which makes a computer more difficult or less
pleasant to use,
    * that is easy to fix,
    * that the average user would encounter during his/her first day of using...
    * ...Ubuntu Desktop Edition* as configured by a default installation.

If a potential paper cut fails to meet any of the criteria above, it
is not a paper cut.
----
As far as I can tell, this bug meets all of those criteria.

@Adam Porter:
Do you realize that another bug exists > Bug #176090
That bug is for the blink not working. And that bug too has several users/duplicate wanting this feature.

So which side to pick? if this is fixed with the script given here , it will aggravate those users.
What I'm saying is , this needs a fix more than the present workaround , Because:

1: *Blinking is the default behavior in several other laptops* [in Windows also] , it is the indicator of network activity.
2: The hardware and *all* the different laptops manufactured need to be matched, to fix this bug. So it is not a a simple fix.

Hope it is clearer.

This needs to be fixed , But is not a papercut.

@Adam Porter: Exactly. I thought I had addressed this in my response, but yours is even clearer.

@mac_v: "Blinking is the default behavior in several other laptops [in Windows also" - I have used many laptops (I work in IT) and have *never* seen one who's default wireless light behaviour is to flash the user visible light all the time. Even on Windows.

#176090 appears initially to be about the light being off (as opposed to doing something), but later turns into 'it used to flash, now it is steady'.
My experience over a number of versions has been the light went from always-on to always-off to flashing-always to fixed-with-the-help-of-the-script-here.
Therefore the correct fix for everyone would be to keep this configurable but default it to how it was i.e. always-on or the more useful always-on-when-connected-flash-when-connecting-off-when-disconnected.

I'm not sure what you mean about "all the different laptops manufactured need to be matched". Either change the default in the kernel source with a Ubuntu-specific patch, or add the scripted commands via the laptop-mode package (etc. etc.).
The 'cat' is harmless if the files don't exist, but it's trivial to check for the files existence first, for instance.

In my case Dell D430 - Windows XP; The wlan led never flashes in windows! Also I would like to see any confirmation on that claimed behaviour.

always-on-when-connected-flash-when-connecting-off-when-disconnected: Thats what makes most sense.

Vish (vish) wrote :

@Tom Chiverton : & Axel Kittenberger :
I use 2 laptops, The Acer Aspire 5670 series[5672WLMi], In this laptops led *does blink* , for the network indication. That is its default.
While my Dell doesnt blink in Windows!

Just because you havent seen a laptop which doesnt blink, doesnt mean you've seen them all !

Also , you can see there are several other laptops listed in Bug #176090 ! I can only assume that they are also not lying!

I'm not sure why you guys *even think* that people have to misrepresent themselves ! The blinking was never a feature request!

@Tom Chiverton:
Further, *a hardware specific issue is not a papercut* .
Even thought it affects /many/ , it is not the problem with majority of average users.

You seem to be aware of the way to fix this issue, kindly provide a patch, which could be incorporated in the kernel.

This is just not a papercut , but still a valid bug!
No one has said it wont be fixed! it needs to be fixed!

It *doesn't even need a kernel patch*. The script several comments up just needs including in a suitable package (I'm thinking whatever provides laptop-mode).
If I knew how to start that process, I would have :-)

The underlying problem is no way for end users to control this behaviour - an /etc/sysconfig/wireless-led-mode file, if you like. Does the community need to come up with the whole infrastructure to support this ourselves ? If it did, how would we get it shipped ? Just attach the file and init.d script here ?

I have a HP pavilion dv5000.

I had this problem on intrepid an jaunty but I fixed it with the hack. I just pass to jaunty and the fix is not working anymore.

Mario Vukelic (mario-vukelic) wrote :

I'm the original reporter, still with the same laptop, an HP nc6400 with, according to lspci, "Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)".

The blinking vanished with my upgrade to Karmic, I think - I am not sure because I had covered the lights with tape. Anyway, it now is steady again on current Karmic. Thanks to whoever did this, whether intentional or not.

Jacopo Moronato (jmoronat) wrote :

I've installed Karmic rc on my dv6635el and blinking is still present.

Any idea when this is going to be fixed? It's really really annoying.

arslano (onurarslan1) wrote :

Hello,

I've been trying Joseph's script, but I couldn't solve the blinking led problem. I have ath9k instead of iwl, and here is the script that I use:

#!/bin/sh
if [ "$IFACE" = "wlan0" ]; then
 for dir in /sys/class/leds/ath9k-phy0\:radio; do
  echo none > $dir/trigger
 done

 for dir in /sys/class/leds/ath9k-phy0\:assoc; do
  echo none > $dir/trigger
 done
fi

I just changed iwl to ath9k, but when i enter 'ls' command at the 'leds' directory I get these with bright light green color:
ath9k-phy0::assoc ath9k-phy0::radio ath9k-phy0::rx ath9k-phy0::tx mmc0::

How can I fix the script?

Thanks

Doug (illusion65) wrote :

In the script, where there is a "phy0\:", replace with "phy0\:\:"

There was a change in the kernel around 2.6.29 or .30 that added another ":"

Good luck --- Doug

adding the extra \: to the script did the trick for me on my HP dv5000 on karmic

arslano (onurarslan1) wrote :

@Doug

Thank you very much! I had been trying to solve this problem for weeks. Thank you! I appreciate that.

Alvaro Kuolas (kuolas) wrote :

There's a patch in the upstream bug tracking system... http://bugzilla.intellinuxwireless.org/show_bug.cgi?id=1771

John Turek (john-turek) wrote :

As of today (Aug 24 2010) latest maverick still has this issue with wifi led blinking upon traffic instead of just staying ON.

Gleb Kozyrev (gkozyrev) wrote :

Here's a solution for iwl* that still works in Maverick and could easily be applied by default:
https://bugs.launchpad.net/ubuntu/+source/linux-backports-modules-2.6.32/+bug/605982

Mihai Capotă (mihaic) on 2010-10-01
summary: - Intrepid: WLAN LED blinks incessantly on iwl3945 | iwl4965 laptop
+ WLAN LED blinks incessantly on iwl3945 | iwl4965 laptop
affects: hundredpapercuts → null

I have to advice you to not disable your blinking leds if you are on a space travel, because on space, you know, more blinking lights is better.

Otherwise the solution at Bug #605982 worked for me on my HP DV4 2080BR

[quote]
I fixed it by installing an /etc/modprobe.d/wlan.conf with these contents:

# 1 means do not blink
options iwlcore led_mode=1
[/quote]

Yeah, confirmed still broken experience in 10.10, also thw fix from #119 works and is trivial to roll out.

This is terrible default behaviour, doubly so on laptops/netbooks.

If you have a desktop, you can't see the light (it's around the back 9/10 times), and so the status LED is unimportant.

However, if you have a smaller device, the LED light is likely to be very visible, and blinking (attracting attention) while it is in a normal, safe, working state is a poor UI.

Gurmeet (gurmeet1109) wrote :

[Quote]
      I fixed it by installing an /etc/modprobe.d/wlan.conf with these contents:
          # 1 means do not blink
          options iwlcore led_mode=1
[/Quote]

Ok, for those guys who might be wondering how to "install" or those who do not have wlan.conf in the specified place.
For me, the wlan.conf was not there. I created and put the line there, but modprobe won't detect it.
Specially people with iwlagn driver on the 4965AGN card.

Step 1 : # cd /etc/modprobe.d
Step 2 : locate whatever wireless related file you have. Mine was intel-5300-iwlagn-disable11n.conf.
                  # ls
Step 3 : Edit the file using gedit, nano or vi whatever you are comfortable with.
                   # sudo gedit intel-5300-iwlagn-disable11n.conf
Step 4 : Put the line [options iwlcore led_mode=1] and save the file. Exit gedit.
Step 5 : Re-initiate the driver.
                  # sudo modprobe -r iwlagn (To temp unload it)
                  # sudo modprobe iwlagn (To load it back)
Step 6: Enjoy your troublefree Ubuntu. Report back if nessecary.

Gurmeet

neuromancer (neuromancer) wrote :

In my case doesn't work.
I'm using Ubuntu 10.04 and I have an Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02).

If I put options iwlcore led_mode=1 on and then I re-initiate the driver it doesn't work and dmesg give me this error:
iwlcore: Unknown parameter `led_mode'

Does the script from #112 work for you instead (with ot without the extra slash and colon) ? Intel changed the interface at some point, but I had blink-free operation on 10.4 before upgrading to 10.10.

Oops, #64 I meant

Changed in linux (Ubuntu):
assignee: Brad Figg (brad-figg) → nobody
Andy Whitcroft (apw) wrote :

It seems that Natty has a specific control for this via the iwlcore led_mode parameter. I am therefore inclined to mark this Fixed for the latest development release.

Changed in linux (Ubuntu):
assignee: nobody → Andy Whitcroft (apw)
status: Triaged → Fix Released
Changed in linux (Ubuntu Lucid):
status: New → Triaged

This worked in 11.04:
$ cat /etc/modprobe.d/wlan.conf
options iwlcore led_mode=1

but under 11.11 it's busted again and I have a giant blue flashing light in my face all the time.

Rolf Leggewie (r0lf) on 2011-11-07
Changed in linux (Ubuntu):
status: Fix Released → Confirmed
tags: added: regression-release
Mike Stroyan (stroyan) wrote :

The 3.0 kernel in the 11.11 release has a similar module parameter, but in a different module name.
Adding this iwl_legacy parameter to a /etc/modprobe.d/wlan.conf file calms the blinking on 11.11.
options iwl_legacy led_mode=1

(But I have sometimes seen the light remain off when the the wlan device is active on 11.11.)

Brad Figg (brad-figg) wrote :

Again I'm returning this to Fix Released for the development kernel. It seem that the option was just renamed.

Changed in linux (Ubuntu):
status: Confirmed → Fix Released

I believe the correct fix, from a UX point of view, would be for Ubuntu to ship with the 'dont flash lights at the user all the time' setting on.

Curtis Hovey (sinzui) on 2011-11-11
no longer affects: null
neural_oD (nutter78) wrote :

I have already posted a bug report against bug: 857858.
This is what I posted there:

I'm on 12.04 beta at the moment too. Up till now this has not affected me, but there seems to have been a regression. My indicator light now keeps blinking. I have a: INTEL PRO/Wireless 4965 AG or AGN card in my laptop

Jan Simon (jan-simon) wrote :

Seem to be fixed in quantal, finally. My LED is not blinking anymore after upgrade to beta.

If anyone lands here because of this issue in quantal 12.10... I found that the module name changed so the iwl_legacy led_mode=1 option doesn't work any longer.

You need to change it to:
options iwlegacy led_mode=1

Note there is only one 'l' in the module name.

Also, I believe the name of the .conf file doesn't matter so I put my option in 'iwl_led.conf' so that the next upgrade will leave it alone.

Lucid Desktop EOL -> Invalid

Changed in linux (Ubuntu Lucid):
status: Triaged → Invalid
David Dombrowsky (davek) wrote :

This ancient bug seems to still affect old laptops when they are resurrected using ubuntu 16.04. Running the iwl3945 wireless driver on this HP laptop will result in the LED blinking on traffic. Adding the module option fixes the problem. I find it hard to believe that isn't the default for all drivers.

David Dombrowsky, it will help immensely if you filed a new report with the Ubuntu repository kernel (not mainline/upstream) via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

David Dombrowsky (davek) wrote :

Will do, Christopher. Thanks.

Displaying first 40 and last 40 comments. View all 136 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.